Delete a user
curl --request DELETE \
--url https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/users/{userId}/consumption \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/users/{userId}/consumption', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/users/{userId}/consumption");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);
import requests
url = "https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/users/{userId}/consumption"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/users/{userId}/consumption",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/users/{userId}/consumption"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.console.corti.app/functions/v1/public/projects/{projectId}/customers/{customerId}/users/{userId}/consumption")
.header("Authorization", "Bearer <token>")
.asString();{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Users
Delete a user
DELETE
/
projects
/
{projectId}
/
customers
/
{customerId}
/
users
/
{userId}
/
consumption
Delete a user
Authorizations
JWT access token obtained from the /auth/token endpoint.
This
Admin APIis separate from theCorti APIused for speech recognition, text generation, and agentic workflows. Authentication and scope for theAdmin APIuses email-and-password to obtain a bearer token via /auth/token. This token is only used for API administration.
Path Parameters
Unique identifier of your project in the Corti API Console.
To find it, open your project at console.corti.app, go to Settings, and copy the value from the Project ID field.
Example:
"consoleproject"
The unique identifier for a Customer
Example:
"contosohospital"
The ID of the user
Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
User deleted successfully
Was this page helpful?
⌘I